org.apache.commons.compress.harmony.pack200

## Class BcBands

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.BandSet
  - - org.apache.commons.compress.harmony.pack200.BcBands

-     public class BcBands
      extends BandSet

  Bytecode bands (corresponds to the `bc_bands` set of bands in the pack200 specification)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `BandSet.BandAnalysisResults, BandSet.BandData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `segmentHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcBands(CpBands cpBands, Segment segment, int effort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finaliseBands()` All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.
    `void` | `pack(OutputStream out)` Write the packed set of bands to the given output stream
    `void` | `setCurrentClass(String name, String superName)`
    `void` | `visitEnd()`
    `void` | `visitFieldInsn(int opcode, String owner, String name, String desc)`
    `void` | `visitIincInsn(int var, int increment)`
    `void` | `visitInsn(int opcode)`
    `void` | `visitIntInsn(int opcode, int operand)`
    `void` | `visitJumpInsn(int opcode, org.objectweb.asm.Label label)`
    `void` | `visitLabel(org.objectweb.asm.Label label)`
    `void` | `visitLdcInsn(Object cst)`
    `void` | `visitLookupSwitchInsn(org.objectweb.asm.Label dflt, int[] keys, org.objectweb.asm.Label[] labels)`
    `void` | `visitMethodInsn(int opcode, String owner, String name, String desc)`
    `void` | `visitMultiANewArrayInsn(String desc, int dimensions)`
    `void` | `visitTableSwitchInsn(int min, int max, org.objectweb.asm.Label dflt, org.objectweb.asm.Label... labels)`
    `void` | `visitTypeInsn(int opcode, String type)`
    `void` | `visitVarInsn(int opcode, int var)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcBands

          public BcBands(CpBands cpBands,
                         Segment segment,
                         int effort)

  - ### Method Detail

    - #### finaliseBands

          public void finaliseBands()

      All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.

    - #### pack

          public void pack(OutputStream out)
                    throws IOException,
                           Pack200Exception

      Description copied from class: `BandSet`
      Write the packed set of bands to the given output stream
      Specified by:
        `pack` in class `BandSet`
      Parameters:
        `out` - TODO
      Throws:
        `IOException` - If an I/O error occurs.
        `Pack200Exception` - TODO

    - #### setCurrentClass

          public void setCurrentClass(String name,
                                      String superName)

    - #### visitEnd

          public void visitEnd()

    - #### visitFieldInsn

          public void visitFieldInsn(int opcode,
                                     String owner,
                                     String name,
                                     String desc)

    - #### visitIincInsn

          public void visitIincInsn(int var,
                                    int increment)

    - #### visitInsn

          public void visitInsn(int opcode)

    - #### visitIntInsn

          public void visitIntInsn(int opcode,
                                   int operand)

    - #### visitJumpInsn

          public void visitJumpInsn(int opcode,
                                    org.objectweb.asm.Label label)

    - #### visitLabel

          public void visitLabel(org.objectweb.asm.Label label)

    - #### visitLdcInsn

          public void visitLdcInsn(Object cst)

    - #### visitLookupSwitchInsn

          public void visitLookupSwitchInsn(org.objectweb.asm.Label dflt,
                                            int[] keys,
                                            org.objectweb.asm.Label[] labels)

    - #### visitMethodInsn

          public void visitMethodInsn(int opcode,
                                      String owner,
                                      String name,
                                      String desc)

    - #### visitMultiANewArrayInsn

          public void visitMultiANewArrayInsn(String desc,
                                              int dimensions)

    - #### visitTableSwitchInsn

          public void visitTableSwitchInsn(int min,
                                           int max,
                                           org.objectweb.asm.Label dflt,
                                           org.objectweb.asm.Label... labels)

    - #### visitTypeInsn

          public void visitTypeInsn(int opcode,
                                    String type)

    - #### visitVarInsn

          public void visitVarInsn(int opcode,
                                   int var)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.